Validates an unsaved completion eligibility expression without runtime data access.
POST
/api/workspace/tasks/configuration/task-definitions/{taskDefinitionId}/outcomes/{outcomeId}/completion-eligibility-rules/validate
using System.Net.Http.Headers;var client = new HttpClient();var request = new HttpRequestMessage{ Method = HttpMethod.Post, RequestUri = new Uri("https://example.com/api/workspace/tasks/configuration/task-definitions/example/outcomes/example/completion-eligibility-rules/validate"), Headers = { { "Authorization", "Bearer <token>" }, }, Content = new StringContent("{ \"Expression\": \"example\", \"RuleId\": \"example\" }") { Headers = { ContentType = new MediaTypeHeaderValue("application/json") } }};using (var response = await client.SendAsync(request)){ response.EnsureSuccessStatusCode(); var body = await response.Content.ReadAsStringAsync(); Console.WriteLine(body);}const url = 'https://example.com/api/workspace/tasks/configuration/task-definitions/example/outcomes/example/completion-eligibility-rules/validate';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"Expression":"example","RuleId":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/workspace/tasks/configuration/task-definitions/example/outcomes/example/completion-eligibility-rules/validate \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "Expression": "example", "RuleId": "example" }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”taskDefinitionId
required
string
outcomeId
required
string
Query Parameters
Section titled “Query Parameters”access_token
string
Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.
Request Body
Section titled “Request Body”object
Expression
string
RuleId
string
Examplegenerated
{ "Expression": "example", "RuleId": "example"}object
Expression
string
RuleId
string
Examplegenerated
{ "Expression": "example", "RuleId": "example"}object
Expression
string
RuleId
string
Examplegenerated
{ "Expression": "example", "RuleId": "example"}Responses
Section titled “Responses”OK
Media typeapplication/json
object
Data
HTTP validation result bound to the authorized Outcome authoring descriptor.
object
IsValid
Whether the source compiles for this Outcome.
boolean
NormalizedExpression
Compiler-normalized source when available.
string
SchemaFingerprint
Compiled schema identity when available.
string
ProfileFingerprint
Compiled profile identity when available.
string
ExpressionFingerprint
Compiled source identity when available.
string
ArtifactFingerprint
Compiled artifact identity when available.
string
Diagnostics
Diagnostics located in the submitted raw source when a location is known.
Array<object>
object
Code
string
Message
string
Severity
string
Start
integer format: int32
Length
integer format: int32
DependencyId
string
Dependencies
Dependencies reported by compilation.
Array<object>
object
Kind
integer format: int32
DependencyId
string
Path
string
CollectionScope
string
BaseDescriptorFingerprint
Authoring descriptor identity, including for invalid source.
string
Errors
Array<object>
object
Code
required
string
Message
required
string
Target
string
Field
string
Metadata
object
key
additional properties
string
Type
integer format: int32
Severity
integer format: int32
Warnings
Array<object>
object
Code
required
string
Message
required
string
Target
string
Field
string
Metadata
object
key
additional properties
string
Type
integer format: int32
Severity
integer format: int32
Success
boolean
Example
{ "Data": { "Dependencies": [ { "Kind": 0 } ] }, "Errors": [ { "Type": 0, "Severity": 0 } ], "Warnings": [ { "Type": 0, "Severity": 0 } ]}